Subject: Re: powerpc/cell/cpufreq: add spu aware cpufreq governor

From: Arnd Bergmann <[email-masked]>
Date: Tue, 8 Jul 2008 08:43:43 +0200

On Monday 07 July 2008, Dave Jones wrote:
> One question I do have though, is how userspace scripts are supposed
> to know they're to echo cbe_spu_governor into the relevant parts of
> sysfs. =A0I've not used anything with a cell. Do they expose the SPUs
> as regular CPUs, or do they show up in a different part of the tree?

An SPU is very different from a CPU from the user perspective.
SPUs show up in /sys/devices/system/spus, and if a user wants to access
them, the "spufs" file system needs to be mounted in the system, by
convention on /spu.=20

	Arnd <><